# ARBFragmentShader (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBFragmentShader

    java.lang.Object
      org.lwjgl.opengl.ARBFragmentShader

    public final class ARBFragmentShader

extends java.lang.Object

Field Summary
`static int` `GL_FRAGMENT_SHADER_ARB` Accepted by the <shaderType> argument of CreateShaderObjectARB and returned by the <params> parameter of GetObjectParameter{fi}vARB:
`static int` `GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB` Accepted by the <target> parameter of Hint and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_MAX_TEXTURE_COORDS_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_MAX_TEXTURE_IMAGE_UNITS_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FRAGMENT_SHADER_ARB

    public static final int GL_FRAGMENT_SHADER_ARB

  Accepted by the <shaderType> argument of CreateShaderObjectARB and returned by the <params> parameter of GetObjectParameter{fi}vARB:

  See Also:
    Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB

    public static final int GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_COORDS_ARB

    public static final int GL_MAX_TEXTURE_COORDS_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS_ARB

    public static final int GL_MAX_TEXTURE_IMAGE_UNITS_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB

    public static final int GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB

  Accepted by the <target> parameter of Hint and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.